<?php

// Default options values
$inet_options = array(
	'inet-txt1' => '',
	'inet-txt2' => '',
	'inet-txt3' => '',
	'inet-txt4' => '',
	'inet-txt5' => '',
	'inet-txt6' => '',
	'inet-txt7' => '',
	'inet2-txt1' => '',
	'inet2-txt2' => '',
	'inet2-txt3' => '',
	'inet2-txt4' => '',
	'inet2-txt5' => '',
	'inet2-txt6' => '',
	'inet2-txt7' => '',
	'inet3-txt1' => '',
	'inet3-txt2' => '',
	'inet3-txt3' => '',
	'inet3-txt4' => '',
	'inet3-txt5' => '',
	'inet3-txt6' => '',
	'inet3-txt7' => '',
	'inet4-txt1' => '',
	'inet4-txt2' => '',
	'inet4-txt3' => '',
	'inet4-txt4' => '',
	'inet4-txt5' => '',
	'inet4-txt6' => '',
	'inet4-txt7' => '',
	'inet5-txt1' => '',
	'inet5-txt2' => '',
	'inet5-txt3' => '',
	'inet5-txt4' => '',
	'inet5-txt5' => '',
	'inet5-txt6' => '',
	'inet5-txt7' => '',
);

if ( is_admin() ) : // Load only if we are viewing an admin page

function inet_register_settings() {
	// Register settings and call sanitation functions
	register_setting( 'inet_theme_options', 'inet_options', 'inet_validate_options' );
}

add_action( 'admin_init', 'inet_register_settings' );

// Store categories in array
$inet_categories[0] = array(
	'value' => 0,
	'label' => ''
);
$inet_cats = get_categories(); $i = 1;
foreach( $inet_cats as $inet_cat ) :
	$inet_categories[$inet_cat->cat_ID] = array(
		'value' => $inet_cat->cat_ID,
		'label' => $inet_cat->cat_name
	);
	$i++;
endforeach;

// Store layouts views in array
$inet_layouts = array(
	'fixed' => array(
		'value' => 'fixed',
		'label' => 'Fixed Layout'
	),
	'fluid' => array(
		'value' => 'fluid',
		'label' => 'Fluid Layout'
	),
);

function inet_theme_options() {
	// Add theme options page to the addmin menu
	add_theme_page( 'تعرفه های kerio gold', 'تعرفه های kerio gold', 'edit_theme_options', 'inet_options', 'inet_theme_options_page' );
}

add_action( 'admin_menu', 'inet_theme_options' );

// Function to generate options page
function inet_theme_options_page() {
	global $inet_options, $inet_categories, $inet_layouts;

	if ( ! isset( $_REQUEST['updated'] ) )
		$_REQUEST['updated'] = false; // This checks whether the form has just been submitted. ?>

	<div class="wrap">

	<?php screen_icon(); echo "<h2>" . get_current_theme() . __( ' Theme Options' ) . "</h2>";
	// This shows the page's name and an icon if one has been provided ?>

	<?php if ( false !== $_REQUEST['updated'] ) : ?>
	<div class="updated fade"><p><strong><?php _e( 'Options saved' ); ?></strong></p></div>
	<?php endif; // If the form has just been submitted, this shows the notification ?>

	<form method="post" action="options.php" style="direction:rtl;">

	<?php $settings = get_option( 'inet_options', $inet_options ); ?>
	
	<?php settings_fields( 'inet_theme_options' );
	/* This function outputs some hidden fields required by the form,
	including a nonce, a unique number used to ensure the form has been submitted from the admin page
	and not somewhere else, very important for security */ ?>



<body style="background: none;">

	<table class="form-table"><!-- Grab a hot cup of coffee, yes we're using tables! -->


 

<div style="font: 1.7em tahoma">   
تعرفه های یک
</div>
<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright">عنوان تعرفه یک </label></th>
			<td style="width: 210px">
<input id="footer_copyright" name="inet_options[inet-txt1]" type="text" value="<?php  esc_attr_e($settings['inet-txt1']); ?>" style="width: 182px" /></td>
<td style="width: 133px">
متن یک
</td><td style="width: 192px">
<input id="footer_copyright" name="inet_options[inet-txt2]" type="text" value="<?php  esc_attr_e($settings['inet-txt2']); ?>" style="width: 173px" /></td>
			<td style="width: 142px">
متن دو
</td>
<td style="width: 192px">
<input id="footer_copyright" name="inet_options[inet-txt3]" type="text" value="<?php  esc_attr_e($settings['inet-txt3']); ?>" style="width: 169px" /></td></tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright">متن سه</label></th>
	<td style="width: 210px">
<input id="footer_copyright" name="inet_options[inet-txt4]" type="text" value="<?php  esc_attr_e($settings['inet-txt4']); ?>" style="width: 182px" /></td>
<td style="width: 133px">
متن چهار
</td><td style="width: 192px">
<input id="footer_copyright" name="inet_options[inet-txt5]" type="text" value="<?php  esc_attr_e($settings['inet-txt5']); ?>" style="width: 173px" /></td>
	<td style="width: 142px">
متن پنج
</td>
<td style="width: 192px">
<input id="footer_copyright" name="inet_options[inet-txt6]" type="text" value="<?php  esc_attr_e($settings['inet-txt6']); ?>" style="width: 169px" /></td></tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright"> لینک سفارش </label></th>
	<td style="width: 210px">
<input id="footer_copyright" name="inet_options[inet-txt7]" type="text" value="<?php  esc_attr_e($settings['inet-txt7']); ?>" style="width: 182px" /></td>
 
</tr>




<tr>
<td style="font: 1.7em tahoma; width: 335px;">
تعرفه های دو
</td>
</tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright">عنوان تعرفه دو </label></th>
			<td style="width: 210px">
<input id="footer_copyright" name="inet_options[inet2-txt1]" type="text" value="<?php  esc_attr_e($settings['inet2-txt1']); ?>" style="width: 182px" /></td>
<td style="width: 133px">
متن یک
</td><td style="width: 192px">
<input id="footer_copyright" name="inet_options[inet2-txt2]" type="text" value="<?php  esc_attr_e($settings['inet2-txt2']); ?>" style="width: 173px" /></td>
			<td style="width: 142px">
متن دو
</td>
<td style="width: 192px">
<input id="footer_copyright" name="inet_options[inet2-txt3]" type="text" value="<?php  esc_attr_e($settings['inet2-txt3']); ?>" style="width: 169px" /></td></tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright">متن سه</label></th>
	<td style="width: 210px">
<input id="footer_copyright" name="inet_options[inet2-txt4]" type="text" value="<?php  esc_attr_e($settings['inet2-txt4']); ?>" style="width: 182px" /></td>
<td style="width: 133px">
متن چهار
</td><td style="width: 192px">
<input id="footer_copyright" name="inet_options[inet2-txt5]" type="text" value="<?php  esc_attr_e($settings['inet2-txt5']); ?>" style="width: 173px" /></td>
	<td style="width: 142px">
متن پنج
</td>
<td style="width: 192px">
<input id="footer_copyright" name="inet_options[inet2-txt6]" type="text" value="<?php  esc_attr_e($settings['inet2-txt6']); ?>" style="width: 169px" /></td></tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright"> لینک سفارش </label></th>
	<td style="width: 210px">
<input id="footer_copyright" name="inet_options[inet2-txt7]" type="text" value="<?php  esc_attr_e($settings['inet2-txt7']); ?>" style="width: 182px" /></td>
 
</tr>





<tr>
<td style="font: 1.7em tahoma; width: 335px;">
تعرفه های سه
</td>
</tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright">عنوان تعرفه سه </label></th>
			<td style="width: 210px">
<input id="footer_copyright" name="inet_options[inet3-txt1]" type="text" value="<?php  esc_attr_e($settings['inet3-txt1']); ?>" style="width: 182px" /></td>
<td style="width: 133px">
متن یک
</td><td style="width: 192px">
<input id="footer_copyright" name="inet_options[inet3-txt2]" type="text" value="<?php  esc_attr_e($settings['inet3-txt2']); ?>" style="width: 173px" /></td>
			<td style="width: 142px">
متن دو
</td>
<td style="width: 192px">
<input id="footer_copyright" name="inet_options[inet3-txt3]" type="text" value="<?php  esc_attr_e($settings['inet3-txt3']); ?>" style="width: 169px" /></td></tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright">متن سه</label></th>
	<td style="width: 210px">
<input id="footer_copyright" name="inet_options[inet3-txt4]" type="text" value="<?php  esc_attr_e($settings['inet3-txt4']); ?>" style="width: 182px" /></td>
<td style="width: 133px">
متن چهار
</td><td style="width: 192px">
<input id="footer_copyright" name="inet_options[inet3-txt5]" type="text" value="<?php  esc_attr_e($settings['inet3-txt5']); ?>" style="width: 173px" /></td>
	<td style="width: 142px">
متن پنج
</td>
<td style="width: 192px">
<input id="footer_copyright" name="inet_options[inet3-txt6]" type="text" value="<?php  esc_attr_e($settings['inet3-txt6']); ?>" style="width: 169px" /></td></tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright"> لینک سفارش </label></th>
	<td style="width: 210px">
<input id="footer_copyright" name="inet_options[inet3-txt7]" type="text" value="<?php  esc_attr_e($settings['inet3-txt7']); ?>" style="width: 182px" /></td>
 
</tr>







<tr>
<td style="font: 1.7em tahoma; width: 335px;">
تعرفه های چهار
</td>
</tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright">عنوان تعرفه چهار </label></th>
			<td style="width: 210px">
<input id="footer_copyright" name="inet_options[inet4-txt1]" type="text" value="<?php  esc_attr_e($settings['inet4-txt1']); ?>" style="width: 182px" /></td>
<td style="width: 133px">
متن یک
</td><td style="width: 192px">
<input id="footer_copyright" name="inet_options[inet4-txt2]" type="text" value="<?php  esc_attr_e($settings['inet4-txt2']); ?>" style="width: 173px" /></td>
			<td style="width: 142px">
متن دو
</td>
<td style="width: 192px">
<input id="footer_copyright" name="inet_options[inet4-txt3]" type="text" value="<?php  esc_attr_e($settings['inet4-txt3']); ?>" style="width: 169px" /></td></tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright">متن سه</label></th>
	<td style="width: 210px">
<input id="footer_copyright" name="inet_options[inet4-txt4]" type="text" value="<?php  esc_attr_e($settings['inet4-txt4']); ?>" style="width: 182px" /></td>
<td style="width: 133px">
متن چهار
</td><td style="width: 192px">
<input id="footer_copyright" name="inet_options[inet4-txt5]" type="text" value="<?php  esc_attr_e($settings['inet4-txt5']); ?>" style="width: 173px" /></td>
	<td style="width: 142px">
متن پنج
</td>
<td style="width: 192px">
<input id="footer_copyright" name="inet_options[inet4-txt6]" type="text" value="<?php  esc_attr_e($settings['inet4-txt6']); ?>" style="width: 169px" /></td></tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright"> لینک سفارش </label></th>
	<td style="width: 210px">
<input id="footer_copyright" name="inet_options[inet4-txt7]" type="text" value="<?php  esc_attr_e($settings['inet4-txt7']); ?>" style="width: 182px" /></td>
 
</tr>





<tr>
<td style="font: 1.7em tahoma; width: 335px;">
تعرفه های پنج
</td>
</tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright">عنوان تعرفه پنج</label></th>
			<td style="width: 210px">
<input id="footer_copyright" name="inet_options[inet5-txt1]" type="text" value="<?php  esc_attr_e($settings['inet5-txt1']); ?>" style="width: 182px" /></td>
<td style="width: 133px">
متن یک
</td><td style="width: 192px">
<input id="footer_copyright" name="inet_options[inet5-txt2]" type="text" value="<?php  esc_attr_e($settings['inet5-txt2']); ?>" style="width: 173px" /></td>
			<td style="width: 142px">
متن دو
</td>
<td style="width: 192px">
<input id="footer_copyright" name="inet_options[inet5-txt3]" type="text" value="<?php  esc_attr_e($settings['inet5-txt3']); ?>" style="width: 169px" /></td></tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright">متن سه</label></th>
	<td style="width: 210px">
<input id="footer_copyright" name="inet_options[inet5-txt4]" type="text" value="<?php  esc_attr_e($settings['inet5-txt4']); ?>" style="width: 182px" /></td>
<td style="width: 133px">
متن چهار
</td><td style="width: 192px">
<input id="footer_copyright" name="inet_options[inet5-txt5]" type="text" value="<?php  esc_attr_e($settings['inet5-txt5']); ?>" style="width: 173px" /></td>
	<td style="width: 142px">
متن پنج
</td>
<td style="width: 192px">
<input id="footer_copyright" name="inet_options[inet5-txt6]" type="text" value="<?php  esc_attr_e($settings['inet5-txt6']); ?>" style="width: 169px" /></td></tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright"> لینک سفارش </label></th>
	<td style="width: 210px">
<input id="footer_copyright" name="inet_options[inet5-txt7]" type="text" value="<?php  esc_attr_e($settings['inet5-txt7']); ?>" style="width: 182px" /></td>
 
</tr>















	</table>

	<p class="submit"><input type="submit" class="button-primary" value="ذخیره تنظیمات" /></p>

	</form>

	</div>












	<?php
}

function inet_validate_options( $input ) {
	global $inet_options, $inet_categories, $inet_layouts;

	$settings = get_option( 'inet_options', $inet_options );
	
	// We strip all tags from the text field, to avoid vulnerablilties like XSS
	$input['sms'] = wp_filter_nohtml_kses( $input['sms'] );
	
	// We strip all tags from the text field, to avoid vulnerablilties like XSS
	$input['copy_text'] = wp_filter_post_kses( $input['copy_text'] );
	
	// We select the previous value of the field, to restore it in case an invalid entry has been given
	$prev = $settings['featured_cat'];
	// We verify if the given value exists in the categories array
	if ( !array_key_exists( $input['featured_cat'], $inet_categories ) )
		$input['featured_cat'] = $prev;
	
	// We select the previous value of the field, to restore it in case an invalid entry has been given
	$prev = $settings['layout_view'];
	// We verify if the given value exists in the layouts array
	if ( !array_key_exists( $input['layout_view'], $inet_layouts ) )
		$input['layout_view'] = $prev;
	
	// If the checkbox has not been checked, we void it
	if ( ! isset( $input['author_credits'] ) )
		$input['author_credits'] = null;
	// We verify if the input is a boolean value
	$input['author_credits'] = ( $input['author_credits'] == 1 ? 1 : 0 );
	
	return $input;
}

endif;  // EndIf is_admin()







