<?php

// Default options values
$pm9_options = array(
	'pm9-txt1' => '',
	'pm9-txt2' => '',
	'pm9-txt3' => '',
	'pm9-txt4' => '',
	'pm9-txt5' => '',
	'pm9-txt6' => '',
	'pm9-txt7' => '',
	'pm92-txt1' => '',
	'pm92-txt2' => '',
	'pm92-txt3' => '',
	'pm92-txt4' => '',
	'pm92-txt5' => '',
	'pm92-txt6' => '',
	'pm92-txt7' => '',
	'pm93-txt1' => '',
	'pm93-txt2' => '',
	'pm93-txt3' => '',
	'pm93-txt4' => '',
	'pm93-txt5' => '',
	'pm93-txt6' => '',
	'pm93-txt7' => '',
	'pm94-txt1' => '',
	'pm94-txt2' => '',
	'pm94-txt3' => '',
	'pm94-txt4' => '',
	'pm94-txt5' => '',
	'pm94-txt6' => '',
	'pm94-txt7' => '',
	'pm95-txt1' => '',
	'pm95-txt2' => '',
	'pm95-txt3' => '',
	'pm95-txt4' => '',
	'pm95-txt5' => '',
	'pm95-txt6' => '',
	'pm95-txt7' => '',
);

if ( is_admin() ) : // Load only if we are viewing an admin page

function pm9_register_settings() {
	// Register settings and call sanitation functions
	register_setting( 'pm9_theme_options', 'pm9_options', 'pm9_validate_options' );
}

add_action( 'admin_init', 'pm9_register_settings' );

// Store categories in array
$pm9_categories[0] = array(
	'value' => 0,
	'label' => ''
);
$pm9_cats = get_categories(); $i = 1;
foreach( $pm9_cats as $pm9_cat ) :
	$pm9_categories[$pm9_cat->cat_ID] = array(
		'value' => $pm9_cat->cat_ID,
		'label' => $pm9_cat->cat_name
	);
	$i++;
endforeach;

// Store layouts views in array
$pm9_layouts = array(
	'fixed' => array(
		'value' => 'fixed',
		'label' => 'Fixed Layout'
	),
	'fluid' => array(
		'value' => 'fluid',
		'label' => 'Fluid Layout'
	),
);

function pm9_theme_options() {
	// Add theme options page to the addmin menu
	add_theme_page( 'تعرفه های nex', 'تعرفه های nex', 'edit_theme_options', 'pm9_options', 'pm9_theme_options_page' );
}

add_action( 'admin_menu', 'pm9_theme_options' );

// Function to generate options page
function pm9_theme_options_page() {
	global $pm9_options, $pm9_categories, $pm9_layouts;

	if ( ! isset( $_REQUEST['updated'] ) )
		$_REQUEST['updated'] = false; // This checks whether the form has just been submitted. ?>

	<div class="wrap">

	<?php screen_icon(); echo "<h2>" . get_current_theme() . __( ' Theme Options' ) . "</h2>";
	// This shows the page's name and an icon if one has been provided ?>

	<?php if ( false !== $_REQUEST['updated'] ) : ?>
	<div class="updated fade"><p><strong><?php _e( 'Options saved' ); ?></strong></p></div>
	<?php endif; // If the form has just been submitted, this shows the notification ?>

	<form method="post" action="options.php" style="direction:rtl;">

	<?php $settings = get_option( 'pm9_options', $pm9_options ); ?>
	
	<?php settings_fields( 'pm9_theme_options' );
	/* This function outputs some hidden fields required by the form,
	including a nonce, a unique number used to ensure the form has been submitted from the admin page
	and not somewhere else, very important for security */ ?>



<body style="background: none;">

	<table class="form-table"><!-- Grab a hot cup of coffee, yes we're using tables! -->


 

<div style="font: 1.7em tahoma">   
تعرفه های یک
</div>
<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright">عنوان تعرفه یک </label></th>
			<td style="width: 210px">
<input id="footer_copyright" name="pm9_options[pm9-txt1]" type="text" value="<?php  esc_attr_e($settings['pm9-txt1']); ?>" style="width: 182px" /></td>
<td style="width: 133px">
متن یک
</td><td style="width: 192px">
<input id="footer_copyright" name="pm9_options[pm9-txt2]" type="text" value="<?php  esc_attr_e($settings['pm9-txt2']); ?>" style="width: 173px" /></td>
			<td style="width: 142px">
متن دو
</td>
<td style="width: 192px">
<input id="footer_copyright" name="pm9_options[pm9-txt3]" type="text" value="<?php  esc_attr_e($settings['pm9-txt3']); ?>" style="width: 169px" /></td></tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright">متن سه</label></th>
	<td style="width: 210px">
<input id="footer_copyright" name="pm9_options[pm9-txt4]" type="text" value="<?php  esc_attr_e($settings['pm9-txt4']); ?>" style="width: 182px" /></td>
<td style="width: 133px">
متن چهار
</td><td style="width: 192px">
<input id="footer_copyright" name="pm9_options[pm9-txt5]" type="text" value="<?php  esc_attr_e($settings['pm9-txt5']); ?>" style="width: 173px" /></td>
	<td style="width: 142px">
متن پنج
</td>
<td style="width: 192px">
<input id="footer_copyright" name="pm9_options[pm9-txt6]" type="text" value="<?php  esc_attr_e($settings['pm9-txt6']); ?>" style="width: 169px" /></td></tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright"> لینک سفارش </label></th>
	<td style="width: 210px">
<input id="footer_copyright" name="pm9_options[pm9-txt7]" type="text" value="<?php  esc_attr_e($settings['pm9-txt7']); ?>" style="width: 182px" /></td>
 
</tr>




<tr>
<td style="font: 1.7em tahoma; width: 335px;">
تعرفه های دو
</td>
</tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright">عنوان تعرفه دو </label></th>
			<td style="width: 210px">
<input id="footer_copyright" name="pm9_options[pm92-txt1]" type="text" value="<?php  esc_attr_e($settings['pm92-txt1']); ?>" style="width: 182px" /></td>
<td style="width: 133px">
متن یک
</td><td style="width: 192px">
<input id="footer_copyright" name="pm9_options[pm92-txt2]" type="text" value="<?php  esc_attr_e($settings['pm92-txt2']); ?>" style="width: 173px" /></td>
			<td style="width: 142px">
متن دو
</td>
<td style="width: 192px">
<input id="footer_copyright" name="pm9_options[pm92-txt3]" type="text" value="<?php  esc_attr_e($settings['pm92-txt3']); ?>" style="width: 169px" /></td></tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright">متن سه</label></th>
	<td style="width: 210px">
<input id="footer_copyright" name="pm9_options[pm92-txt4]" type="text" value="<?php  esc_attr_e($settings['pm92-txt4']); ?>" style="width: 182px" /></td>
<td style="width: 133px">
متن چهار
</td><td style="width: 192px">
<input id="footer_copyright" name="pm9_options[pm92-txt5]" type="text" value="<?php  esc_attr_e($settings['pm92-txt5']); ?>" style="width: 173px" /></td>
	<td style="width: 142px">
متن پنج
</td>
<td style="width: 192px">
<input id="footer_copyright" name="pm9_options[pm92-txt6]" type="text" value="<?php  esc_attr_e($settings['pm92-txt6']); ?>" style="width: 169px" /></td></tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright"> لینک سفارش </label></th>
	<td style="width: 210px">
<input id="footer_copyright" name="pm9_options[pm92-txt7]" type="text" value="<?php  esc_attr_e($settings['pm92-txt7']); ?>" style="width: 182px" /></td>
 
</tr>





<tr>
<td style="font: 1.7em tahoma; width: 335px;">
تعرفه های سه
</td>
</tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright">عنوان تعرفه سه </label></th>
			<td style="width: 210px">
<input id="footer_copyright" name="pm9_options[pm93-txt1]" type="text" value="<?php  esc_attr_e($settings['pm93-txt1']); ?>" style="width: 182px" /></td>
<td style="width: 133px">
متن یک
</td><td style="width: 192px">
<input id="footer_copyright" name="pm9_options[pm93-txt2]" type="text" value="<?php  esc_attr_e($settings['pm93-txt2']); ?>" style="width: 173px" /></td>
			<td style="width: 142px">
متن دو
</td>
<td style="width: 192px">
<input id="footer_copyright" name="pm9_options[pm93-txt3]" type="text" value="<?php  esc_attr_e($settings['pm93-txt3']); ?>" style="width: 169px" /></td></tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright">متن سه</label></th>
	<td style="width: 210px">
<input id="footer_copyright" name="pm9_options[pm93-txt4]" type="text" value="<?php  esc_attr_e($settings['pm93-txt4']); ?>" style="width: 182px" /></td>
<td style="width: 133px">
متن چهار
</td><td style="width: 192px">
<input id="footer_copyright" name="pm9_options[pm93-txt5]" type="text" value="<?php  esc_attr_e($settings['pm93-txt5']); ?>" style="width: 173px" /></td>
	<td style="width: 142px">
متن پنج
</td>
<td style="width: 192px">
<input id="footer_copyright" name="pm9_options[pm93-txt6]" type="text" value="<?php  esc_attr_e($settings['pm93-txt6']); ?>" style="width: 169px" /></td></tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright"> لینک سفارش </label></th>
	<td style="width: 210px">
<input id="footer_copyright" name="pm9_options[pm93-txt7]" type="text" value="<?php  esc_attr_e($settings['pm93-txt7']); ?>" style="width: 182px" /></td>
 
</tr>







<tr>
<td style="font: 1.7em tahoma; width: 335px;">
تعرفه های چهار
</td>
</tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright">عنوان تعرفه چهار </label></th>
			<td style="width: 210px">
<input id="footer_copyright" name="pm9_options[pm94-txt1]" type="text" value="<?php  esc_attr_e($settings['pm94-txt1']); ?>" style="width: 182px" /></td>
<td style="width: 133px">
متن یک
</td><td style="width: 192px">
<input id="footer_copyright" name="pm9_options[pm94-txt2]" type="text" value="<?php  esc_attr_e($settings['pm94-txt2']); ?>" style="width: 173px" /></td>
			<td style="width: 142px">
متن دو
</td>
<td style="width: 192px">
<input id="footer_copyright" name="pm9_options[pm94-txt3]" type="text" value="<?php  esc_attr_e($settings['pm94-txt3']); ?>" style="width: 169px" /></td></tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright">متن سه</label></th>
	<td style="width: 210px">
<input id="footer_copyright" name="pm9_options[pm94-txt4]" type="text" value="<?php  esc_attr_e($settings['pm94-txt4']); ?>" style="width: 182px" /></td>
<td style="width: 133px">
متن چهار
</td><td style="width: 192px">
<input id="footer_copyright" name="pm9_options[pm94-txt5]" type="text" value="<?php  esc_attr_e($settings['pm94-txt5']); ?>" style="width: 173px" /></td>
	<td style="width: 142px">
متن پنج
</td>
<td style="width: 192px">
<input id="footer_copyright" name="pm9_options[pm94-txt6]" type="text" value="<?php  esc_attr_e($settings['pm94-txt6']); ?>" style="width: 169px" /></td></tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright"> لینک سفارش </label></th>
	<td style="width: 210px">
<input id="footer_copyright" name="pm9_options[pm94-txt7]" type="text" value="<?php  esc_attr_e($settings['pm94-txt7']); ?>" style="width: 182px" /></td>
 
</tr>





<tr>
<td style="font: 1.7em tahoma; width: 335px;">
تعرفه های پنج
</td>
</tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright">عنوان تعرفه پنج</label></th>
			<td style="width: 210px">
<input id="footer_copyright" name="pm9_options[pm95-txt1]" type="text" value="<?php  esc_attr_e($settings['pm95-txt1']); ?>" style="width: 182px" /></td>
<td style="width: 133px">
متن یک
</td><td style="width: 192px">
<input id="footer_copyright" name="pm9_options[pm95-txt2]" type="text" value="<?php  esc_attr_e($settings['pm95-txt2']); ?>" style="width: 173px" /></td>
			<td style="width: 142px">
متن دو
</td>
<td style="width: 192px">
<input id="footer_copyright" name="pm9_options[pm95-txt3]" type="text" value="<?php  esc_attr_e($settings['pm95-txt3']); ?>" style="width: 169px" /></td></tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright">متن سه</label></th>
	<td style="width: 210px">
<input id="footer_copyright" name="pm9_options[pm95-txt4]" type="text" value="<?php  esc_attr_e($settings['pm95-txt4']); ?>" style="width: 182px" /></td>
<td style="width: 133px">
متن چهار
</td><td style="width: 192px">
<input id="footer_copyright" name="pm9_options[pm95-txt5]" type="text" value="<?php  esc_attr_e($settings['pm95-txt5']); ?>" style="width: 173px" /></td>
	<td style="width: 142px">
متن پنج
</td>
<td style="width: 192px">
<input id="footer_copyright" name="pm9_options[pm95-txt6]" type="text" value="<?php  esc_attr_e($settings['pm95-txt6']); ?>" style="width: 169px" /></td></tr>

<tr valign="top"><th scope="row" style="width: 79px"><label for="footer_copyright"> لینک سفارش </label></th>
	<td style="width: 210px">
<input id="footer_copyright" name="pm9_options[pm95-txt7]" type="text" value="<?php  esc_attr_e($settings['pm95-txt7']); ?>" style="width: 182px" /></td>
 
</tr>















	</table>

	<p class="submit"><input type="submit" class="button-primary" value="ذخیره تنظیمات" /></p>

	</form>

	</div>












	<?php
}

function pm9_validate_options( $input ) {
	global $pm9_options, $pm9_categories, $pm9_layouts;

	$settings = get_option( 'pm9_options', $pm9_options );
	
	// We strip all tags from the text field, to avoid vulnerablilties like XSS
	$input['sms'] = wp_filter_nohtml_kses( $input['sms'] );
	
	// We strip all tags from the text field, to avoid vulnerablilties like XSS
	$input['copy_text'] = wp_filter_post_kses( $input['copy_text'] );
	
	// We select the previous value of the field, to restore it in case an invalid entry has been given
	$prev = $settings['featured_cat'];
	// We verify if the given value exists in the categories array
	if ( !array_key_exists( $input['featured_cat'], $pm9_categories ) )
		$input['featured_cat'] = $prev;
	
	// We select the previous value of the field, to restore it in case an invalid entry has been given
	$prev = $settings['layout_view'];
	// We verify if the given value exists in the layouts array
	if ( !array_key_exists( $input['layout_view'], $pm9_layouts ) )
		$input['layout_view'] = $prev;
	
	// If the checkbox has not been checked, we void it
	if ( ! isset( $input['author_credits'] ) )
		$input['author_credits'] = null;
	// We verify if the input is a boolean value
	$input['author_credits'] = ( $input['author_credits'] == 1 ? 1 : 0 );
	
	return $input;
}

endif;  // EndIf is_admin()







